- Home
- API Enriched
- Statistics
- infraprotect
- L3l4 Top talkers Query.
L3l4 Top talkers Query.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/graph/l3l4/top_talkers/example';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"2026-04-15T12:00:00Z","namespace":"example","network_id":"example","start_time":"2026-04-15T12:00:00Z","traffic_type":"TrafficTypeUnknown","traffic_unit":"TrafficUnitUnknown"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/graph/l3l4/top_talkers/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "2026-04-15T12:00:00Z", "namespace": "example", "network_id": "example", "start_time": "2026-04-15T12:00:00Z", "traffic_type": "TrafficTypeUnknown", "traffic_unit": "TrafficUnitUnknown" }'Request to GET l3l4 Top talkers Traffic data.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This request is supported only in system namespace.
NetworkId The network ID.
Request Bodyrequired
Section titled “Request Bodyrequired”Used to display Top Talkers for a network.
object
End time of metric collection from which data will be considered to build graph.
Optional: If not specified, then the end_time will be evaluated to
This request is supported only in system namespace.
The network ID.
Start time of metric collection from which data will be considered to build graph. Format: unix_timestamp|RFC 3339
Optional: If not specified, then the start_time will be evaluated to
Responses
Section titled “Responses”A successful response.
Response for Top Talkers.
object
List of data.
object
Traffic In for this talker.
IP address.
Traffic Out for this talker.
Example
{ "traffic_unit": "TrafficUnitUnknown"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example